Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoTools Class Reference
GoSdk/Tools

## Description

Represents a collection of tools.

Inherits kObject.

## Public Member Functions
kStatus | GoTools_AddTool (GoTools tools, GoToolType type, GoTool *tool)
| Adds a tool and returns a handle to it. More...
kStatus | GoTools_AssignMeasurementId (GoTools tools, GoMeasurement measurement)
| Automatically update a given measurement to use a valid ID within the set of tools contained in the GoTools object. More...
kStatus | GoTools_ClearTools (GoTools tools)
| Removes all tools in the given GoTools instance. More...
GoMeasurement | GoTools_FindMeasurementById (GoTool tools, k32u id)
| Returns an enabled measurement handle if the specified ID is valid. More...
kStatus | GoTools_RemoveTool (GoTools tools, kSize index)
| Removes a tool at the given index. More...
GoTool | GoTools_ToolAt (GoTools tools, kSize index)
| Returns a tool handle at the given index. More...
kSize | GoTools_ToolCount (GoTools tools)
| Returns the current number of tools. More...

## Member Function Documentation

kStatus GoTools_AddTool | ( | GoTools | tools,
|  | GoToolType | type,
|  | GoTool * | tool
| ) |  |

Adds a tool and returns a handle to it.

Parameters

  tools | GoTools object.
  type | The tool type enumerator value representing the type of tool to add.
  tool | A pointer to the newly added tool.

Returns
  Operation status.

kStatus GoTools_AssignMeasurementId | ( | GoTools | tools,
|  | GoMeasurement | measurement
| ) |  |

Automatically update a given measurement to use a valid ID within the set of tools contained in the GoTools object.

Parameters

  tools | GoTools object.
  measurement | GoMeasurement object to update.

Returns
  Operation status.

kStatus GoTools_ClearTools | ( | GoTools | tools | ) |

Removes all tools in the given GoTools instance.

Parameters

  tools | GoTools object.

Returns
  Operation status.

GoMeasurement GoTools_FindMeasurementById | ( | GoTool | tools,
|  | k32u | id
| ) |  |

Returns an enabled measurement handle if the specified ID is valid.

Parameters

  tools | GoTools object.
  id | The measurement ID to search for.

Returns
  A GoMeasurement object if an enabled measurement with the ID is found, otherwise kNULL.

kStatus GoTools_RemoveTool | ( | GoTools | tools,
|  | kSize | index
| ) |  |

Removes a tool at the given index.

Parameters

  tools | GoTools object.
  index | The index with which to remove a tool.

Returns
  Operation status.

GoTool GoTools_ToolAt | ( | GoTools | tools,
|  | kSize | index
| ) |  |

Returns a tool handle at the given index.

Parameters

  tools | GoTools object.
  index | The index with which to retrieve a tool.

Returns
  A handle to a tool at the given index or kNULL if the index is invalid.

kSize GoTools_ToolCount | ( | GoTools | tools | ) |

Returns the current number of tools.

Parameters

  tools | GoTools object.

Returns
  The current tool count.

The documentation for this class was generated from the following file:

- Tools/GoTools.h